首页   注册   登录
V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
MySQL 5.5 Community Server
MySQL 5.6 Community Server
Percona Configuration Wizard
XtraBackup 搭建主从复制
Great Sites on MySQL
Percona
MySQL Performance Blog
Severalnines
推荐管理工具
Sequel Pro
phpMyAdmin
推荐书目
MySQL Cookbook
MySQL 相关项目
MariaDB
Drizzle
参考文档
http://mysql-python.sourceforge.net/MySQLdb.html
qloog
V2EX  ›  MySQL

大家线上 mysql 数据库都用的是什么版本

  •  1
     
  •   qloog · 64 天前 · 3400 次点击
    这是一个创建于 64 天前的主题,其中的信息可能已经有所发展或是发生改变。

    我接触到的公司用的比较多的是 5.6 版本,5.7 和 8.0 的比较少,不知大家所在公司都用的什么版本?

    第 1 条附言  ·  64 天前
    如果在 docker-compose 里用,哪个版本(mysql 或 mairadb 都可以)是比较推荐的?有的版本貌似对 docker 不是太友好。
    第 2 条附言  ·  64 天前
    另外 my.cnf 里的关键配置如果方便的话也可以帮忙提供下。
    第 3 条附言  ·  64 天前
    用了 mysql 5.7.22, 目前没啥太大问题。
    40 条回复    2020-05-11 18:00:32 +08:00
    geekvcn
        1
    geekvcn   64 天前   ❤️ 1
    mairadb 10.3
    jamesxu
        2
    jamesxu   64 天前 via iPhone
    现在的项目直接 8.0
    axeprpr1
        3
    axeprpr1   64 天前
    以前是 5.5 现在是 10.3 。 低版本一些扫漏工具会提示高危漏洞。其他没感觉。
    msg7086
        4
    msg7086   64 天前 via Android
    Percona 5.7
    csl1995
        5
    csl1995   64 天前
    5.7 很稳
    shatuo
        6
    shatuo   64 天前
    8.x
    roundgis
        7
    roundgis   64 天前 via Android
    maria 10.4
    syasuker
        8
    syasuker   64 天前
    5.7 还是比较稳的
    littlewing
        9
    littlewing   64 天前
    5.7.x
    Varobjs
        10
    Varobjs   64 天前
    5.7.14
    fortunezhang
        11
    fortunezhang   64 天前
    5.7.28
    vibbow
        12
    vibbow   64 天前
    8.0.20
    ericbize
        13
    ericbize   64 天前 via iPhone
    8.0 的翻车了
    MeteorCat
        14
    MeteorCat   64 天前 via Android
    5.7 你们保存含有 emoji 数据的时候有没有出现数据截断或者丢失情况?
    qloog
        15
    qloog   64 天前
    @MeteorCat 这个指定字符集 utf8mb4 就可以了,没有太大问题.
    HanMeiM
        16
    HanMeiM   64 天前
    5.7 就够了,8.x 网上的文档还很少,出了问题不好解决
    MeteorCat
        17
    MeteorCat   64 天前 via Android
    @qloog 5.7 支持了 mb4 了吗?支持开启看看
    MeteorCat
        18
    MeteorCat   64 天前 via Android
    @qloog 看到最低版本了,原来 5.5.3 以上就支持了,那我开启转这个试试
    sunsmooth
        19
    sunsmooth   64 天前
    我们也是用 mairadb
    linuxvalue
        20
    linuxvalue   64 天前
    5.7
    scukmh
        21
    scukmh   64 天前
    5.6
    nicebird
        22
    nicebird   64 天前
    5.7
    ByteCat
        23
    ByteCat   64 天前
    5.7 很稳
    zzw1998
        24
    zzw1998   64 天前
    8.x
    CoderGeek
        25
    CoderGeek   64 天前
    5.5~5.7 都有
    Hanggi
        26
    Hanggi   64 天前
    已经弃用 MySQL
    qloog
        27
    qloog   64 天前
    @Hanggi 现在用的什么?
    llussy
        28
    llussy   64 天前
    5.6 5.7
    JavasBoy
        29
    JavasBoy   64 天前
    5.7.2x
    realpg
        30
    realpg   64 天前
    5.6 5.7 8.x
    yukiloh
        31
    yukiloh   64 天前 via Android
    maria10
    egfegdfr
        32
    egfegdfr   64 天前
    8.0
    xuanbg
        33
    xuanbg   64 天前
    去年就升级为 8 了,然后有一点小坑,处理完就好了。
    Hanggi
        34
    Hanggi   64 天前
    @qloog PostgreSQL
    qloog
        35
    qloog   64 天前
    @xuanbg 可以分享分享踩过的坑
    qloog
        36
    qloog   64 天前
    @xuanbg PostgreSQL 这个确实用的少,不过也很强大
    xuanbg
        37
    xuanbg   64 天前
    @qloog 就是语法要求更严谨一些,原来 5.7 上没问题的 sql,8 上面可能会报错。跑一遍单元测试就知道有没有问题了,有问题也很容易改。
    blackboom
        38
    blackboom   64 天前 via Android
    8.0
    fancy111
        39
    fancy111   64 天前
    新项目就用 8
    0x1001
        40
    0x1001   63 天前
    8.0
    关于   ·   FAQ   ·   API   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   4184 人在线   最高记录 5168   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.5 · 42ms · UTC 06:46 · PVG 14:46 · LAX 23:46 · JFK 02:46
    ♥ Do have faith in what you're doing.